version: 1
default_environment: dev
project_id: 4f3dbc97-ebb6-4272-acdd-c9d2724ceed8
environments:
- name: dev
- name: staging
- name: prod
plugins:
  extractors:
  - name: tap-s3-csv
    namespace: tap_s3_csv
    pip_url: pipelinewise-tap-s3-csv
    executable: tap-s3-csv
    capabilities:
    - properties
    - discover
    - state
    config:
      bucket: dpt-jps-sandbox 
      tables:
      - table_name: test
        search_prefix: tmp/
        search_pattern: test.csv
      start_date: 2023-06-20T00:00:00Z
  loaders:
  - name: target-jsonl
    variant: andyh1203
    pip_url: target-jsonl
